PropertyResourceBundle Class Reference

PropertyResourceBundle is a concrete subclass of ResourceBundle that manages resources for a locale using a set of static strings from a property file. More...

Inheritance diagram for PropertyResourceBundle:

## Public Member Functions

| PropertyResourceBundle (InputStreamPtr inStream)
| Creates a property resource bundle. More...
virtual LogString | getString (const LogString &key) const
| Gets a string for the given key from this resource bundle or one of its parents. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Protected Attributes

Properties | properties
Protected Attributes inherited from ResourceBundle
ResourceBundlePtr | parent
| The parent bundle of this bundle. More...
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Additional Inherited Members

Static Public Member Functions inherited from ResourceBundle
static ResourceBundlePtr | getBundle (const LogString &baseName, const Locale &locale)
| Gets a resource bundle using the specified base name and locale. More...
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Member Functions inherited from ResourceBundle
void | setParent (const ResourceBundlePtr &parent1)

## Detailed Description

PropertyResourceBundle is a concrete subclass of ResourceBundle that manages resources for a locale using a set of static strings from a property file.

## Constructor & Destructor Documentation

## PropertyResourceBundle()

PropertyResourceBundle | ( | InputStreamPtr | inStream | ) |

Creates a property resource bundle.

Parameters

  inStream | property file to read from.

Exceptions

  IOException | if an error occurred when reading from the input stream.

## Member Function Documentation

## getString()

virtual LogString getString | ( | const LogString & | key | ) | const

virtual

Gets a string for the given key from this resource bundle or one of its parents.

Calling this method is equivalent to calling

Parameters

  key | the key for the desired string

Returns
  the string for the given key

Exceptions

  MissingResourceException | - if no object for the given key can be found

Implements ResourceBundle.

## Member Data Documentation

## properties

Properties properties

protected

The documentation for this class was generated from the following file:

- propertyresourcebundle.h